Skip to main content
GET
/
api
/
v1
/
external
/
companies
/
{companyId}
/
custom-objects
/
{objectType}
/
{objectId}
Get Custom Object
curl --request GET \
  --url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/custom-objects/{objectType}/{objectId} \
  --header 'Authorization: <api-key>'
{
  "id": "550e8400-e29b-41d4-a716-446655440020",
  "companyId": "550e8400-e29b-41d4-a716-446655440000",
  "type": "vehicle",
  "displayName": "Toyota Camry",
  "data": {
    "vehicleMake": "Toyota",
    "vehicleModel": "Camry",
    "year": 2024,
    "vin": "1HGBH41JXMN109186"
  },
  "relationships": {
    "ownerExposure": "550e8400-e29b-41d4-a716-446655440200"
  },
  "createdAt": "2026-01-15T10:30:00.000Z",
  "updatedAt": null,
  "createdBy": "google-oauth2|123456789",
  "updatedBy": null
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

objectType
string
required

Custom object type in snake_case format (e.g., vehicle, building_info)

objectId
string<uuid>
required

Custom object identifier

Response

Custom object details

A custom object entity. The data field contains regular field values and the relationships field contains IDs of related entities keyed by field reference ID.

id
string<uuid>
required

Custom object identifier

companyId
string<uuid>
required

Company identifier

type
string
required

The object type in snake_case format

displayName
string
required

Computed display name based on the type's display name expression

data
object
required

Dynamic field data for the custom object. Keys are field referenceIds defined in the company's field configuration. Only includes regular (non-relationship) fields.

relationships
object
required

Relationship data keyed by field referenceId. Values are either a single UUID string (for single-cardinality relationships) or an array of UUID strings (for multi-cardinality relationships).

createdAt
string<date-time> | null

When the custom object was created

updatedAt
string<date-time> | null

When the custom object was last updated

createdBy
string | null

User ID who created the custom object

updatedBy
string | null

User ID who last updated the custom object